This is a Laravel 5 package that provides fbuids management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `blackwhite29/fbuids`.

    "blackwhite29/fbuids": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Blackwhite29\Fbuids\Providers\FbuidsServiceProvider::class,

```

And also add it to alias

```php
'Fbuids'  => Blackwhite29\Fbuids\Facades\Fbuids::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Blackwhite29\Fbuids\Providers\FbuidsServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Blackwhite29\Fbuids\Providers\FbuidsServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Blackwhite29\Fbuids\Providers\FbuidsServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Blackwhite29\Fbuids\Providers\FbuidsServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Blackwhite29\Fbuids\Providers\FbuidsServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Blackwhite29\Fbuids\Providers\FbuidsServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


