<?php

// Admin web routes  for fbuids
Route::group(['prefix' => trans_setlocale().'/admin/fbuids'], function () {
    Route::resource('fbuids', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsAdminWebController');
});

// Admin API routes  for fbuids
Route::group(['prefix' => trans_setlocale().'api/v1/admin/fbuids'], function () {
    Route::resource('fbuids', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsAdminApiController');
});

// User web routes for fbuids
Route::group(['prefix' => trans_setlocale().'/user/fbuids'], function () {
    Route::resource('fbuids', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsUserWebController');
});

// User API routes for fbuids
Route::group(['prefix' => trans_setlocale().'api/v1/user/fbuids'], function () {
    Route::resource('fbuids', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsUserApiController');
});

// Public web routes for fbuids
Route::group(['prefix' => trans_setlocale().'/fbuids'], function () {
    Route::get('/', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsPublicWebController@index');
    Route::get('/{slug?}', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsPublicWebController@show');
});

// Public API routes for fbuids
Route::group(['prefix' => trans_setlocale().'api/v1/fbuids'], function () {
    Route::get('/', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsPublicApiController@index');
    Route::get('/{slug?}', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsPublicApiController@show');
});


// Admin web routes  for fbuids_categories
Route::group(['prefix' => trans_setlocale().'/admin/fbuids'], function () {
    Route::resource('fbuids_categories', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesAdminWebController');
});

// Admin API routes  for fbuids_categories
Route::group(['prefix' => trans_setlocale().'api/v1/admin/fbuids'], function () {
    Route::resource('fbuids_categories', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesAdminApiController');
});

// User web routes for fbuids_categories
Route::group(['prefix' => trans_setlocale().'/user/fbuids'], function () {
    Route::resource('fbuids_categories', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesUserWebController');
});

// User API routes for fbuids_categories
Route::group(['prefix' => trans_setlocale().'api/v1/user/fbuids'], function () {
    Route::resource('fbuids_categories', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesUserApiController');
});

// Public web routes for fbuids_categories
Route::group(['prefix' => trans_setlocale().'/fbuids'], function () {
    Route::get('/', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesPublicWebController@index');
    Route::get('/{slug?}', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesPublicWebController@show');
});

// Public API routes for fbuids_categories
Route::group(['prefix' => trans_setlocale().'api/v1/fbuids'], function () {
    Route::get('/', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesPublicApiController@index');
    Route::get('/{slug?}', 'Blackwhite29\Fbuids\Http\Controllers\FbuidsCategoriesPublicApiController@show');
});

