@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('fbuids::fbuids.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('fbuids::fbuids.names') !!}</small>
@stop

@section('title')
{!! trans('fbuids::fbuids.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('fbuids::fbuids.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='fbuids-fbuids-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="fbuids-fbuids-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('fbuids::fbuids.label.fbuid')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fbname')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_birthday')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_location')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_mobile')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_email')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_gender')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.category_id')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#fbuids-fbuids-entry', '{!!URL::to('admin/fbuids/fbuids/0')!!}');
    oTable = $('#fbuids-fbuids-list').dataTable( {
        "ajax": '{!! URL::to('/admin/fbuids/fbuids') !!}',
        "columns": [
            {data :'fbuid'},
                    {data :'fbname'},
                    {data :'fb_birthday'},
                    {data :'fb_location'},
                    {data :'fb_mobile'},
                    {data :'fb_email'},
                    {data :'fb_gender'},
                    {data :'category_id'},
        ],
        "pageLength": 50
    });

    $('#fbuids-fbuids-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#fbuids-fbuids-list').DataTable().row( this ).data();

        $('#fbuids-fbuids-entry').load('{!!URL::to('admin/fbuids/fbuids')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

