@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Fbuids </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/fbuids/fbuids/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Fbuids</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('fbuids::fbuids.label.fbuid')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fbname')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_birthday')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_location')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_mobile')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_email')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.fb_gender')!!}</th>
                    <th>{!! trans('fbuids::fbuids.label.category_id')!!}</th>
                    <th width="150">{!! trans('fbuids::fbuids.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($fbuids as $fbuids)
                <tr>
                    <td>{{ $fbuids->fbuid }}</td>
                    <td>{{ $fbuids->fbname }}</td>
                    <td>{{ $fbuids->fb_birthday }}</td>
                    <td>{{ $fbuids->fb_location }}</td>
                    <td>{{ $fbuids->fb_mobile }}</td>
                    <td>{{ $fbuids->fb_email }}</td>
                    <td>{{ $fbuids->fb_gender }}</td>
                    <td>{{ $fbuids->category_id }}</td>
                    <td><span class="label status-{{ $fbuids->status }}"> {{ $fbuids->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/fbuids/fbuids/{!! $fbuids->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/fbuids/fbuids/{!! $fbuids->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/fbuids/fbuids/{!! $fbuids->getRouteKey() !!}" 
                            href="trans_url('/user')/fbuids/fbuids/{!! $fbuids->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $fbuids->links() }}
</div>