<?php

namespace Blackwhite29\Fbuid\Repositories\Eloquent;

use Blackwhite29\Fbuid\Interfaces\FbuidsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FbuidsRepository extends BaseRepository implements FbuidsRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.fbuid.fbuids.model');
    }
}
