<?php

namespace Blackwhite29\Fbuids\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FbuidsItemTransformer extends TransformerAbstract
{
    public function transform(\Blackwhite29\Fbuids\Models\Fbuids $fbuids)
    {
        return [
            'id'                => $fbuids->getRouteKey(),
            'fbuid'             => $fbuids->fbuid,
            'fbname'            => $fbuids->fbname,
            'fb_birthday'       => $fbuids->fb_birthday,
            'fb_location'       => $fbuids->fb_location,
            'fb_mobile'         => $fbuids->fb_mobile,
            'fb_email'          => $fbuids->fb_email,
            'fb_gender'         => $fbuids->fb_gender,
            'category_id'       => $fbuids->category_id,
        ];
    }
}